var Cards = false;
jQuery(function($){
	Cards = (function() {
		var $cards = $( '#dw-popup-card-list > li > div.dw-popup-card-card' ), cardsCount = $cards.length;		
		function init() {
			$cards.each( function() {				
				var $card = $( this ),
					$other = $cards.not( $card ),
					$parent = $card.parent(),
					$page = $card.children( 'div.dw-popup-card-page' ),
					$cardview = $parent.find( 'div.dw-popup-card-front' ),
					$content = $page.children( 'div.dw-popup-card-content' ), current = 0;
				$cardview.on( 'click', function() {
					var $this = $( this );								
					$other.data( 'opened', false ).removeClass( 'dw-popup-card-viewinside' ).parent().css( 'z-index', 0 ).find( 'button.dw-popup-card-cardview' ).removeClass( 'dw-popup-card-active' );
					if( !$other.hasClass( 'dw-popup-card-viewback' ) ) {
						$other.addClass( 'dw-popup-card-carddefault' );
					}
					if( $card.data( 'opened' ) ) {
						$this.removeClass( 'dw-popup-card-active' );
						$card.data( { opened : false, flip : false } ).removeClass( 'dw-popup-card-viewinside' ).addClass( 'dw-popup-card-carddefault' );
					}
					else {
						$this.addClass( 'dw-popup-card-active' );
						$card.data( { opened : true, flip : false } ).removeClass( 'dw-popup-card-viewback dw-popup-card-carddefault' ).addClass( 'dw-popup-card-viewinside' );
						$parent.css( 'z-index', cardsCount );
						current = 0;
						$content.removeClass( 'dw-popup-card-content-current' ).eq( current ).addClass( 'dw-popup-card-content-current' );
					}
				} );				
			} );
		}
		return { init : init };
	})();
})