jQuery(function($){
    Cards.init();
    var vph = $(window).height();
    if( vph <= 768 ) $('body').addClass('popupcard-small');
    window.onresize = function(event) { resizeChristmas(); }

    // first visit
    var visited = $.cookie("visited");
    if (visited == null) {
        setTimeout(function(){
            $('body').addClass('popupcard');
        },1000);
        $.cookie('visited', true);    
    } else {
        $('.dw-popup-card').hide();
    }
    $.cookie('visited', true, { expires: 7, path: '/' });

    // banner
    $('.dw-popup-card-banner a').click(function() {
        $('.dw-popup-card').show();
        setTimeout(function(){
            $('body').addClass('popupcard');
        },1000);
    });

    // close
    $('.dw-popup-card-close').click(function() {
        $('body').removeClass('popupcard');
        $('.dw-popup-card').hide();
    });

    // small screen
    function resizeChristmas() {
        var vph = $(window).height();
        if( vph <= 768 ) $('body').addClass('popupcard-small');
        else $('body').removeClass('popupcard-small');
    }
});